> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kollie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Campaign Config

> Updates campaign config.



## OpenAPI

````yaml PUT /api/v1/campaigns/{campaign_id}/config
openapi: 3.1.0
info:
  title: kollie-backend
  version: v1
servers: []
security: []
paths:
  /api/v1/campaigns/{campaign_id}/config:
    put:
      tags:
        - campaigns
      summary: Update Or Create Campaign Config
      description: |-
        Updates or create campaign config

        Required roles:
        - admin
        - manager
      operationId: >-
        update_or_create_campaign_config_api_v1_campaigns__campaign_id__config_put
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Campaign Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ICampaignConfigUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPutResponseBase_ICampaignConfigRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    ICampaignConfigUpdate:
      properties:
        call_on_weekend:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Call On Weekend
        queue_again:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Queue Again
        call_back_attempts:
          anyOf:
            - type: integer
            - type: 'null'
          title: Call Back Attempts
        campaign_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Campaign Id
      type: object
      title: ICampaignConfigUpdate
    IPutResponseBase_ICampaignConfigRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data updated correctly
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/ICampaignConfigRead'
            - type: 'null'
      type: object
      title: IPutResponseBase[ICampaignConfigRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ICampaignConfigRead:
      properties:
        call_on_weekend:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Call On Weekend
          default: false
        queue_again:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Queue Again
          default: false
        call_back_attempts:
          anyOf:
            - type: integer
            - type: 'null'
          title: Call Back Attempts
          default: 0
        campaign_id:
          type: string
          format: uuid
          title: Campaign Id
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - campaign_id
        - id
        - created_at
      title: ICampaignConfigRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````